XmLTreeAddRow(3X)

NAME
XmLTreeAddRow - add a row to a Tree

SYNTAX
void XmLTreeAddRow(widget, level, expands, isExpanded, position, pixmap, pixmask, string)
Widget widget;
int level;
Boolean expands;
Boolean isExpanded;
int position;
Pixmap pixmap;
Pixmap pixmask;
XmString string;

ARGUMENTS

widget
    Tree widget ID

level
    level of row

expands
    flag indicating whether row may expand

isExpanded
    flag indicating current state of row

position
    position of row

pixmap
    pixmap for icon

pixmask
    pixmask for icon

string
    string to display next to pixmap

DESCRIPTION
Adds a content row of level to the Tree at position. The pixmap, pixmask and string will appear in the first cell of the row. The pixmap and pixmask values may be XmUNSPECIFIED_PIXMAP, in which case, the default pixmap will be displayed. If expands is True, the row may be expanded by the user. The isExpanded flag indicates if the row is currently expanded (True) or not (False). The XmString string passed is copied by the Tree and should be freed when it is no longer used.

SEE ALSO
XmLTree(3X) XmLTreeAddRows(3X)